libmoosex-role-withoverloading-perl_0.15-1+b1_i386.deb


Advertisement

Description

libmoosex-role-withoverloading-perl - Moose extension for roles that support overloading

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmoosex-role-withoverloading-perl
Package version: 0.15
Package release: 1+b1
Package architecture: i386
Package type: deb
Installed size: 126 B
Download size: 14.48 KB
Official Mirror: ftp.br.debian.org
MooseX::Role::WithOverloading allows you to write a Moose::Role which defines overloaded operators and allows those operator overloadings to be composed into the classes/roles/instances it's compiled to, while plain Moose::Roles would lose the overloading.

    Download

    Source package: libmoosex-role-withoverloading-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmoosex-role-withoverloading-perl deb package:
      # sudo apt-get install libmoosex-role-withoverloading-perl

    Files

    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading/Meta/Role.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading/Meta/Role/Application.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading/Meta/Role/Composite.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading/Meta/Role/Application/Composite.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading/Meta/Role/Application/FixOverloadedRefs.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading/Meta/Role/Application/ToClass.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading/Meta/Role/Application/ToInstance.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading/Meta/Role/Application/ToRole.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading/Meta/Role/Application/Composite/ToClass.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading/Meta/Role/Application/Composite/ToInstance.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/MooseX/Role/WithOverloading/Meta/Role/Application/Composite/ToRole.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/auto/MooseX/Role/WithOverloading/WithOverloading.so
    • /usr/share/doc/libmoosex-role-withoverloading-perl/CONTRIBUTING
    • /usr/share/doc/libmoosex-role-withoverloading-perl/changelog.Debian.gz
    • /usr/share/doc/libmoosex-role-withoverloading-perl/changelog.Debian.i386.gz
    • /usr/share/doc/libmoosex-role-withoverloading-perl/changelog.gz
    • /usr/share/doc/libmoosex-role-withoverloading-perl/copyright
    • /usr/share/man/man3/MooseX::Role::WithOverloading.3pm.gz

    Changelog

    2014-08-12 - gregor herrmann <gregoa@debian.org> libmoosex-role-withoverloading-perl (0.15-1) unstable; urgency=medium * Team upload. * New upstream release. * Update upstream copyright years. * Bump versioned (build) dependency on libnamespace-autoclean-perl.

    2014-07-31 - gregor herrmann <gregoa@debian.org> libmoosex-role-withoverloading-perl (0.14-1) unstable; urgency=medium * Team upload. * New upstream release. * Strip trailing slash from metacpan URLs. * Update build dependencies. * Install new CONTRIBUTING file. * Update Upstream-Contact and upstream copyright years. * Declare compliance with Debian Policy 3.9.5.

    2013-09-21 - gregor herrmann <gregoa@debian.org> libmoosex-role-withoverloading-perl (0.13-1) unstable; urgency=low * Team upload. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change search.cpan.org based URIs to metacpan.org based URIs [ Axel Beckert ] * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg- copyright" [ gregor herrmann ] * New upstream release. * Use debhelper 9.20120312 to get all hardening flags. * Update (build) dependencies. * Update years of upstream copyright. * Declare compliance with Debian Policy 3.9.4.

    2011-01-05 - Ansgar Burchardt <ansgar@debian.org> libmoosex-role-withoverloading-perl (0.09-1) unstable; urgency=low * New upstream release. * debian/copyright: Update for new upstream release; refer to "Debian systems" instead of "Debian GNU/Linux systems". * Bump (build-)dep on libmoose-perl to >= 1.15 (for Moose::Role 1.15). * Update my email address.

    2010-07-27 - Ansgar Burchardt <ansgar@43-1.org> libmoosex-role-withoverloading-perl (0.08-1) unstable; urgency=low [ Ansgar Burchardt ] * New upstream release. [ gregor herrmann ] * Set Standards-Version to 3.9.1 (no changes).

    2010-07-19 - Ansgar Burchardt <ansgar@43-1.org> libmoosex-role-withoverloading-perl (0.07-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release (0.06). * Update dependencies per upstream * Use new 3.0 (quilt) source format [ Ansgar Burchardt ] * New upstream release (0.07). * No longer run release tests. * Remove build-dep on libtest-pod-perl, libtest-pod-coverage-perl, libpod-coverage-trustpod-perl. * Bump Standards-Version to 3.9.0 (no changes). * Add myself to Uploaders. [ gregor herrmann ] * debian/copyright: minor formatting updates.

    2010-01-10 - Jonathan Yu <jawnsy@cpan.org> libmoosex-role-withoverloading-perl (0.05-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Upstream now requires Test::More 0.88 for done_testing [ gregor herrmann ] * debian/copyright: update year of upstream copyright.

    2009-12-05 - Jonathan Yu <jawnsy@cpan.org> libmoosex-role-withoverloading-perl (0.03-1) unstable; urgency=low * Initial Release (Closes: #557303)

    Advertisement
    Advertisement